- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OSnLNodeMax Class Reference

The OSnLNodeMax Class. More...

`#include <OSnLNode.h>`

Inheritance diagram for OSnLNodeMax:

[legend]
Collaboration diagram for OSnLNodeMax:

[legend]
List of all members.

## Public Member Functions
| OSnLNodeMax ()
| default constructor.
| ~OSnLNodeMax ()
| default destructor.
virtual std::string | getTokenName ()
virtual double | calculateFunction (double *x)
virtual OSnLNode * | cloneOSnLNode ()
virtual double | constructADTape (std::map< int, int > *ADIdx, std::vector< double > *XAD)

## Detailed Description

The OSnLNodeMax Class.

Author:
  Robert Fourer, Jun Ma, Kipp Martin,

Version:
  1.0, 10/05/2005

Since:
  OS1.0

Remarks:
  The in-memory representation of the OSnL element <max>

Definition at line 362 of file OSnLNode.h.

## Constructor & Destructor Documentation

OSnLNodeMax::OSnLNodeMax | ( |  | ) |

default constructor.

Definition at line 627 of file OSnLNode.cpp.

References OSnLNode::inodeInt, and OSnLNode::inodeType.

Referenced by cloneOSnLNode().

OSnLNodeMax::~OSnLNodeMax | ( |  | ) |

default destructor.

Definition at line 634 of file OSnLNode.cpp.

References OSnLNode::m_mChildren.

## Member Function Documentation

std::string OSnLNodeMax::getTokenName | ( |  | ) | `[virtual]`

Returns:
  the value of operator name

Implements OSnLNode.

Definition at line 660 of file OSnLNode.cpp.

double OSnLNodeMax::calculateFunction | ( | double * | x | ) | `[virtual]`

Calculate the function value given the current variable values. This is an abstract method which is required to be implemented by the concrete operator nodes that derive or extend from this OSnLNode class.

Parameters:

  | x | holds the values of the variables in a double array.

Returns:
  the function value given the current variable values.

Implements OSnLNode.

Definition at line 648 of file OSnLNode.cpp.

References OSnLNode::calculateFunction(), OSnLNode::m_dFunctionValue, and OSnLNode::m_mChildren.

OSnLNode * OSnLNodeMax::cloneOSnLNode | ( |  | ) | `[virtual]`

Create or clone a node of this type. This is an abstract method which is required to be implemented by the concrete operator nodes that derive or extend from this OSnLNode class.

Parameters:

  | x | holds the values of the variables in a double array.

Returns:
  the function value given the current variable values.

Implements OSnLNode.

Definition at line 677 of file OSnLNode.cpp.

References OSnLNodeMax().

virtual double OSnLNodeMax::constructADTape | ( | std::map< int, int > * | ADIdx,
|  | std::vector< double > * | XAD |
| ) |  |  | `[virtual]`

Create the AD tape to be evaluated by AD. This is an abstract method which is required to be implemented by the concrete operator nodes that derive or extend from this OSnLNode class.

Returns:
  the expression tree.

Implements OSnLNode.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSnLNode.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSnLNode.cpp